# SimData

Simple interface for model event generation on ncx (SGE) and virgo-debian8 (SLURM) clusters.

## Installing

    git clone https://devel.mephi.ru/PEParfenov/SimData.git
    cd SimData/
    . setup.sh

## Usage

Bash script `setup.sh` creates several directories in SimData for each model (DCM-QGSM-SMM, JAM, SMASH, UrQMD).
The main bash scripts for event generation are stored there: `$MODEL/scripts/start.sh`.
For example, to run `start.sh` for UrQMD model one have to do the following:

On ncx cluster (SGE):

    cd SimData/UrQMD/scripts/
    qsub -t 1-N start.sh

On virgo-debian8 cluster (SLURM):

    cd SimData/UrQMD/scripts/
    sbatch --array 1-N --chdir=<path>/SimData/UrQMD/TMP -- <path>/SimData/UrQMD/scripts/start.sh

One can change number of events generated in each job (`nev`) and input configuration file (`INPUTFILE`) in the main scripts for event generation `start.sh`.
