#!/bin/bash

#
#$ -wd /scratch2/$USER/SimData/DCM-QGSM-SMM/TMP
#$ -cwd
#$ -N run_convert_dcm
#$ -q all.q
#$ -l h_rt=0:10:00
#$ -l s_rt=0:10:00
#$ -t 1-1000
#
#$ -o /scratch2/$USER/SimData/DCM-QGSM-SMM/TMP
#$ -e /scratch2/$USER/SimData/DCM-QGSM-SMM/TMP
#

#Energy in cms
ecm=11.5
export INPUT_FILELIST=/scratch2/parfenov/SimData/DCM-QGSM-SMM/scripts/dcm_11gev_mcini.list

export CURRENT_FILE=`sed "${SGE_TASK_ID}q;d" $INPUT_FILELIST`

source /opt/fairsoft/bmn/may18p1/bin/thisroot.sh
export COMMIT=DCM-QGSM-SMM_${ecm}gev
export START_POSITION=$PWD
export MAIN_DIR=/scratch2/${USER}/SimData/DCM-QGSM-SMM
export DATE=${JOB_ID} # `date '+%Y%m%d_%H%M%S'`
# export DATE=`date '+%Y%m%d_%H%M%S'`

export OUT=$MAIN_DIR/OUT/$COMMIT/$DATE
export OUT_LOG=$OUT/log
export OUT_FILE=$OUT/files
export LOG=${OUT_LOG}/JOB_${JOB_ID}_${SGE_TASK_ID}.log
export TMPALL=$MAIN_DIR/TMP
export TMPDIR=$TMPALL/TMP_${JOB_ID}_${SGE_TASK_ID}

mkdir -p $TMPDIR
mkdir -p $OUT
mkdir -p $OUT_LOG
mkdir -p $OUT_FILE

export MCINI_DIR=/scratch2/parfenov/Soft/mcini

eos cp --streams=16 $CURRENT_FILE $TMPDIR/mcini.root &>> $LOG
eos cp --streams=16 ${MCINI_DIR}/macro/convert.C $TMPDIR &>> $LOG

_log() {

local format='+%Y/%m/%d-%H:%M:%S'
echo [`date $format`] "$@"

}

source /opt/fairsoft/bmn/may18p1/bin/thisroot.sh

source ${MCINI_DIR}/macro/config.sh

echo "Current file: $CURRENT_FILE" &>>$LOG

root -l -q -b ${TMPDIR}/convert.C'("'${TMPDIR}/mcini.root'","'$OUT_FILE/dcmqgsm_${JOB_ID}_${SGE_TASK_ID}.mcpico.root'")' &>>$LOG

rm -rf ${TMPDIR} &>> $LOG

cd $START_POSITION
_log "Job is done!" &>> $LOG
